aboutsummaryrefslogtreecommitdiff
path: root/libraries/libfreehand/libfreehand.SlackBuild
diff options
context:
space:
mode:
authorHunter Sezen <ovariegata@yahoo.com>2017-12-20 01:13:54 +0000
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2017-12-21 08:19:24 +0700
commitc1c9484b327c9f1b1927be95a814a6d776e2be14 (patch)
treeb60b3191e9d7fb64260d6f436211cce035c5fcfc /libraries/libfreehand/libfreehand.SlackBuild
parente40b7ecf304c66ab6f722eecf2e10fa8fdae7c25 (diff)
libraries/libfreehand: Updated for version 0.1.2.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'libraries/libfreehand/libfreehand.SlackBuild')
-rw-r--r--libraries/libfreehand/libfreehand.SlackBuild22
1 files changed, 14 insertions, 8 deletions
diff --git a/libraries/libfreehand/libfreehand.SlackBuild b/libraries/libfreehand/libfreehand.SlackBuild
index c553eb7aab09a..59c1ad8258466 100644
--- a/libraries/libfreehand/libfreehand.SlackBuild
+++ b/libraries/libfreehand/libfreehand.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for libfreehand
-# Copyright 2015 Hunter Sezen California, USA
+# Copyright 2015, 2017 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=libfreehand
-VERSION=${VERSION:-0.1.1}
+VERSION=${VERSION:-0.1.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -53,7 +53,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -68,11 +68,15 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-DOC=${DOC:-no}
-if [ ! "$DOC" = "yes" ]; then
- doc="--without-docs"
+case "${DOC:-0}" in
+ 0) doc='--without-docs' ;;
+ *) doc='--with-docs' ;;
+esac
+
+if pkg-config --exists cppunit; then
+ cppunit='--enable-tests'
else
- doc=""
+ cppunit='--disable-tests'
fi
CFLAGS="$SLKCFLAGS" \
@@ -81,8 +85,10 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --disable-werror \
--build=$ARCH-slackware-linux \
- $doc
+ $cppunit $doc
make
make install DESTDIR=$PKG